Index: /trunk/adm/makefile
===================================================================
--- /trunk/adm/makefile	(revision 102)
+++ /trunk/adm/makefile	(revision 103)
@@ -237,8 +237,6 @@
 man_troff \
 man_html \
-man_html_many \
 man_html_sphinx \
 man_pdf \
-man_pdf_many \
 man_pdf_sphinx
 
@@ -262,9 +260,7 @@
 before :
 	@mkdir -p $(DIRWWW)/manuals/man/man1/
-	@mkdir -p $(DIRWWW)/manuals/html/many/
 	@mkdir -p $(DIRWWW)/manuals/html/rest2web/
 	@mkdir -p $(DIRWWW)/manuals/html/rest2web/css/
 	@mkdir -p $(DIRWWW)/manuals/html/sphinx/
-	@mkdir -p $(DIRWWW)/manuals/pdf/many/
 	@mkdir -p $(DIRWWW)/manuals/pdf/sphinx/
 	@mkdir -p $(DIRTMP)/sphinx_tmpdir/doctrees/
@@ -287,7 +283,4 @@
 	-@rm -rf $(DIRTMP)/rest2web_tmpdir/
 	-@rm -f $(DIRTMP)/rest2web.log
-	-@rm -f $(DIRWWW)/manuals/pdf/many/*.aux
-	-@rm -f $(DIRWWW)/manuals/pdf/many/*.log
-	-@rm -f $(DIRWWW)/manuals/pdf/many/*.out
 	-@rm -rf $(DIRTMP)/sphinx_tmpdir/
 	-@rm -f $(DIRTMP)/sphinx_*.log
@@ -308,22 +301,9 @@
 
 all : \
-man_troff \
 man_html \
 man_pdf
 
-man_troff : \
-$(LIST_SRCSH_TROFF) \
-$(LIST_SRCPHP_TROFF) \
-$(LIST_SRCXSL_TROFF)
-
 man_html : \
-man_html_many \
 man_html_sphinx
-
-man_html_many : \
-$(DIRWWW)/manuals/html/many/index.html \
-$(LIST_SRCSH_HTML) \
-$(LIST_SRCXSL_HTML) \
-$(LIST_SRCPHP_HTML)
 
 man_html_sphinx : \
@@ -343,11 +323,5 @@
 
 man_pdf : \
-man_pdf_many \
 man_pdf_sphinx
-
-man_pdf_many : \
-$(LIST_SRCSH_PHP) \
-$(LIST_SRCXSL_PHP) \
-$(LIST_SRCPHP_PHP)
 
 man_pdf_sphinx : \
@@ -369,26 +343,4 @@
 	   $(DIRWWW)/manuals/pdf/sphinx/
 
-$(DIRWWW)/manuals/html/many/index.html : \
-$(DIRTMP)/index_many.rst
-	@$(RST2HTML) --input-encoding=ISO-8859-15 --strict \
-	$< $@
-
-$(DIRTMP)/index_many.rst :
-	@echo "$(PRODUCTNAME) manuals" | tr [:print:] = > $@
-	@echo "$(PRODUCTNAME) manuals" >> $@
-	@echo "$(PRODUCTNAME) manuals" | tr [:print:] = >> $@
-	@echo " " >> $@
-	@echo "Shell scripts" >> $@
-	@echo "Shell scripts" | tr [:print:] = >> $@
-	@for file in $(LIST_SRCSH); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
-	@echo " " >> $@
-	@echo "XSL scripts" >> $@
-	@echo "XSL scripts" | tr [:print:] = >> $@
-	@for file in $(LIST_SRCXSL); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
-	@echo " " >> $@
-	@echo "PHP scripts" >> $@
-	@echo "PHP scripts" | tr [:print:] = >> $@
-	@for file in $(LIST_SRCPHP); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
-
 $(DIRTMP)/sphinx_tmpdir/index.rst :
 	@echo ".. _index:" >> $@
@@ -444,8 +396,4 @@
 	$< $@
 
-$(DIRWWW)/manuals/pdf/many/%.pdf : $(DIRTMP)/%.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
-
 $(DIRTMP)/%.tex : $(DIRTMP)/%.rst
 	@$(RST2LATEX) $(RST2LATEX_OPTIONS_MANY) --input-encoding=ISO-8859-15 --strict \
Index: /trunk/adm/sphinx/Makefile
===================================================================
--- /trunk/adm/sphinx/Makefile	(revision 102)
+++ /trunk/adm/sphinx/Makefile	(revision 103)
@@ -11,5 +11,5 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) ../sphinx_tmpdir 
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
Index: /trunk/before.sh
===================================================================
--- /trunk/before.sh	(revision 102)
+++ /trunk/before.sh	(revision 103)
@@ -1,4 +1,6 @@
 #! /bin/sh
 #+
+#
+# .. _before.sh:
 #
 # =========
Index: /trunk/bibopa.sh
===================================================================
--- /trunk/bibopa.sh	(revision 102)
+++ /trunk/bibopa.sh	(revision 103)
@@ -1,4 +1,6 @@
 #!/bin/bash
 #+
+#
+# .. _bibopa.sh:
 #
 # =========
@@ -123,7 +125,5 @@
 # ========
 #
-# mailtouser.sh_
-#
-# .. _mailtouser.sh : mailtouser.sh.html
+# :ref:`mailtouser.sh`
 #
 # TODO
Index: /trunk/insertphp.sh
===================================================================
--- /trunk/insertphp.sh	(revision 102)
+++ /trunk/insertphp.sh	(revision 103)
@@ -1,4 +1,6 @@
 #! /bin/sh
 #+
+#
+# .. _insertphp.sh:
 #
 # ============
Index: /trunk/install.sh
===================================================================
--- /trunk/install.sh	(revision 102)
+++ /trunk/install.sh	(revision 103)
@@ -1,4 +1,6 @@
 #!/bin/sh
 #+
+#
+# .. _install.sh:
 #
 # ==========
Index: /trunk/linkchecker.sh
===================================================================
--- /trunk/linkchecker.sh	(revision 102)
+++ /trunk/linkchecker.sh	(revision 103)
@@ -1,4 +1,6 @@
 #! /bin/sh
 #+
+#
+# .. _linkchecker.sh:
 #
 # ==============
Index: /trunk/mailtouser.sh
===================================================================
--- /trunk/mailtouser.sh	(revision 102)
+++ /trunk/mailtouser.sh	(revision 103)
@@ -1,4 +1,6 @@
 #! /bin/sh
 #+
+#
+# .. _mailtouser.sh:
 #
 # =============
@@ -27,7 +29,5 @@
 # ========
 #
-# bibopa.sh_
-#
-# .. _bibopa.sh : bibopa.sh.html
+# :ref:`bibopa.sh`
 #
 # EXAMPLES
Index: /trunk/superbib_profile.sh
===================================================================
--- /trunk/superbib_profile.sh	(revision 102)
+++ /trunk/superbib_profile.sh	(revision 103)
@@ -1,4 +1,6 @@
 #! /bin/sh
 #+
+#
+# .. _superbib_profile.sh:
 #
 # ===================
Index: /trunk/twindoi.sh
===================================================================
--- /trunk/twindoi.sh	(revision 102)
+++ /trunk/twindoi.sh	(revision 103)
@@ -1,4 +1,6 @@
 #! /bin/sh
 #+
+#
+# .. _twindoi.sh:
 #
 # ==========