Index: /trunk/docs/docs_dev/source/conf.py
===================================================================
--- /trunk/docs/docs_dev/source/conf.py	(revision 139)
+++ /trunk/docs/docs_dev/source/conf.py	(revision 140)
@@ -162,5 +162,5 @@
 # Additional templates that should be rendered to pages, maps page names to
 # template names.
-#html_additional_pages = {}
+html_additional_pages = {'index': 'index.html'}
 
 # If false, no module index is generated.
Index: unk/docs/docs_dev/source/guides/firststeps.xml
===================================================================
--- /trunk/docs/docs_dev/source/guides/firststeps.xml	(revision 139)
+++ 	(revision )
@@ -1,138 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-<!DOCTYPE chapter [
-<!ENTITY % isolat1 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat1.ent">
-%isolat1;
-<!ENTITY % isolat2 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat2.ent">
-%isolat2;
-<!ENTITY % isogrk3 SYSTEM "http://www.w3.org/2003/entities/iso8879/isogrk3.ent">
-%isogrk3;
-<!ENTITY % isopub SYSTEM "http://www.w3.org/2003/entities/iso8879/isopub.ent">
-%isopub;
-<!ENTITY % isotech SYSTEM "http://www.w3.org/2003/entities/iso8879/isotech.ent">
-%isotech;
-<!ENTITY % isonum SYSTEM "http://www.w3.org/2003/entities/iso8879/isonum.ent">
-%isonum;
-<!ENTITY project "SUPERBIB">
-<!ENTITY project_min "superbib">
-]>
-
-<chapter version="5.0"
-xmlns="http://docbook.org/ns/docbook"
-xmlns:xl="http://www.w3.org/1999/xlink"
-xmlns:xi="http://www.w3.org/2001/XInclude"
-xml:lang="en"
-xml:id="firststeps">
-
-<!--rst
-
-first steps
-
-TODO
-====
-
-demo1 installation et check et menage 
- 
-autre demo Ã  partir d'un fichier bibtex ou autre
-
-comment partir de scratch
-
-pb transformation mailto pour le wiki
-
-EVOLUTIONS
-==========
-
-$Id$
-
-- fplod 2009-02-13T16:07:42Z aedon.locean-ipsl.upmc.fr (Darwin)
-
-  * more realistic than the previous release which was too close from SAXO
-    equivalent
-
--->
-
-  <title> First steps with <application>&project;</application> </title>
-
-  <info>
-     <pubdate>$Id$</pubdate>
-  </info>
-<sect1 xml:id="beforefirststeps">
-<title>Before this</title>
-<para>
-In this document, we supposed that you followed <link xl:href="./get.html">Get &project;</link> recommendations.
-</para>
-</sect1>
-
-<sect1 xml:id="rundemo1">
-<title>Run the first demo</title>
-<sect2 xml:id="rundemo1_what">
-<title>What will happened ?</title>
-<para>
-You are going to produce a set of HTML and PHP files under 
-<filename class="directory">/tmp/superbib/</filename>.
-</para>
-<!-- ++ dessin -->
-</sect2>
-<sect2 xml:id="rundemo1_definition">
-<title>Let's go for definition</title>
-<!-- ++ superbib_profile.sh -->
-<para>
-Go to the working page :
-<screen>
- <prompt>$</prompt> <userinput>cd ${SUPERBIB}/</userinput>
-</screen>
-</para>
-<para>
-Prepare output directories :
-<screen>
- <prompt>$</prompt> <userinput>make before</userinput>
-</screen>
-</para>
-<para>
-Identify bibliography databank :
-<screen>
- <prompt>$</prompt> <userinput>ln -sf ./data/bibdemo1_dbk5.xml ./biblio.xml</userinput>
-</screen>
-</para>
-<para>
-Identify user databank :
-<screen>
- <prompt>$</prompt> <userinput>ln -sf ./data/userdemo1.xml ./user.xml</userinput>
- <prompt>$</prompt> <userinput>ln -sf ./data/usernemo.dtd ./user.dtd</userinput>
-</screen>
-</para>
-<para>
-Define your main page :
-<screen>
- <prompt>$</prompt> <userinput>ln -sf ./data/maindemo1.xml ./main.xml</userinput>
-</screen>
-</para>
-</sect2>
-<sect2 xml:id="rundemo1_production">
-<title>Build ouptuts</title>
-<para>
-<screen>
- <prompt>$</prompt> <userinput>make html</userinput>
-</screen>
-</para>
-</sect2>
-<sect2 xml:id="rundemo1_see">
-<title>Look to outputs</title>
-<para>
-Choose your favorite browser supporting PHP files and 
-open <filename>/tmp/superbib/one/en/main.php</filename>.
-</para>
-</sect2>
-<sect2 xml:id="rundemo1_conclusion">
-<title>Ok ?</title>
-<para>
-If something went wrong please send an email to 
-<email>&project_min;-dev@forge.ipsl.jussieu.fr</email>
-with output errors 
-</para>
-</sect2>
-<!-- ++ installation et check -->
-<!-- ++ autre demo Ã  partir d'un fichier bibtex ou autre -->
-<!-- ++ ++ comment partir de scratch -->
-</sect1>
-
-</chapter>
Index: /trunk/docs/docs_users/source/_templates/index.html
===================================================================
--- /trunk/docs/docs_users/source/_templates/index.html	(revision 139)
+++ /trunk/docs/docs_users/source/_templates/index.html	(revision 140)
@@ -23,14 +23,14 @@
 {% block body %}
 
-<h2>Developer documentation</h2>
+<h2>User documentation</h2>
 
 <table class="contentstable" align="center" style="margin-left: 30px">
  <tr><td>
     <p class="biglink"><a class="biglink" href="{{ pathto("guides/index") }}">Guides</a>
-       <span class="linkdescr">PULSATION guides </span></p>
+       <span class="linkdescr">SUPERBIB guides </span></p>
   </td>
  <td>
     <p class="biglink"><a class="biglink" href="{{ pathto("manuals/index") }}">Manuals</a>
-       <span class="linkdescr">PULSATION manuals</span></p>
+       <span class="linkdescr">SUPERBIB manuals</span></p>
   </td></tr>
 </table>
Index: /trunk/docs/docs_users/source/conf.py
===================================================================
--- /trunk/docs/docs_users/source/conf.py	(revision 139)
+++ /trunk/docs/docs_users/source/conf.py	(revision 140)
@@ -35,8 +35,8 @@
 
 # The encoding of source files.
-#source_encoding = 'utf-8-sig'
+#source_encoding = 'iso-8859-15'
 
 # The master toctree document.
-master_doc = 'index'
+master_doc = 'contents'
 
 # General information about the project.
@@ -65,6 +65,11 @@
 # List of patterns, relative to source directory, that match files and
 # directories to ignore when looking for source files.
-exclude_patterns = []
-
+exclude_patterns = ['build', 'prolog.rst']
+
+# Included at the beginning of every source file that is read.
+with open('prolog.rst', 'r') as pr:
+     rst_prolog = pr.read()
+
+rst_prolog
 # The reST default role (used for this markup: `text`) to use for all documents.
 #default_role = None
@@ -136,5 +141,5 @@
 # Additional templates that should be rendered to pages, maps page names to
 # template names.
-#html_additional_pages = {}
+html_additional_pages = {'index': 'index.html'}
 
 # If false, no module index is generated.
Index: /trunk/docs/docs_users/source/contents.rst
===================================================================
--- /trunk/docs/docs_users/source/contents.rst	(revision 139)
+++ /trunk/docs/docs_users/source/contents.rst	(revision 140)
@@ -4,7 +4,4 @@
 .. TODO
 .. ====
-..
-.. meilleur plan : logging est un des thèmes, il y en a d'autres (ex 
-.. installation avec *_install.sh)
 ..
 .. better meta directive usage (propagation to every HTML files)
@@ -17,9 +14,5 @@
 .. $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/pulsation/svn/trunk/docs/docs_dev/source/contents.rst $
 ..
-.. - fplod 20120103T112734Z cratos (Linux)
-..
-..   * add logging
-..
-.. - fplod 20111230T141556Z cratos (Linux)
+.. - fplod 20120227
 ..
 ..   * creation
@@ -31,7 +24,7 @@
 .. _contents:
 
-==================================
+=============================
 SUPERBIB Users Documentations
-==================================
+=============================
 
 .. only:: html
@@ -40,7 +33,7 @@
 
 .. toctree::
-   :maxdepth: 2
+   :maxdepth: 1
 
    overview
-   guides/index.rst
+   guides
    manuals/index.rst
Index: /trunk/docs/docs_users/source/guides/firststeps.rst
===================================================================
--- /trunk/docs/docs_users/source/guides/firststeps.rst	(revision 140)
+++ /trunk/docs/docs_users/source/guides/firststeps.rst	(revision 140)
@@ -0,0 +1,118 @@
+.. +
+.. DESCRIPTION
+.. ===========
+..
+.. first steps
+.. 
+.. TODO
+.. ====
+.. 
+.. demo1 installation et check et menage 
+..  
+.. autre demo Ã  partir d'un fichier bibtex ou autre
+.. 
+.. comment partir de scratch
+.. 
+.. pb transformation mailto pour le wiki
+.. 
+.. EVOLUTIONS
+.. ==========
+.. 
+.. $Id$
+.. 
+.. $URL$
+..
+.. - fplod 20120227
+..
+..   * migration to ReST
+..   * move in user documentation
+..
+.. - fplod 2009-02-13T16:07:42Z aedon.locean-ipsl.upmc.fr (Darwin)
+.. 
+..   * more realistic than the previous release which was too close from SAXO
+..     equivalent
+.. 
+.. -
+
+.. _firststeps:
+
+==========================
+First steps with |project|
+==========================
+
+.. _beforefirststeps:
+
+Before this
++++++++++++
+
+In this document, we supposed that you followed :ref:`get` recommendations.
+
+.. _rundemo1:
+
+Run the first demo
+++++++++++++++++++
+
+.. _rundemo1_what:
+
+What will happened ?
+~~~~~~~~~~~~~~~~~~~~
+
+You are going to produce a set of HTML and PHP files under 
+:file:`/tmp/superbib/`.
+
+.. _rundemo1_definition:
+
+Let's go for definition
+~~~~~~~~~~~~~~~~~~~~~~~
+
+.. ++ superbib_profile.sh
+
+Go to the working page::
+
+ $ cd ${SUPERBIB}/
+
+Prepare output directories::
+
+ $ make before
+
+Identify bibliography databank::
+
+ $ ln -sf ./data/bibdemo1_dbk5.xml ./biblio.xml
+
+Identify user databank::
+
+ $ ln -sf ./data/userdemo1.xml ./user.xml
+ $ ln -sf ./data/usernemo.dtd ./user.dtd
+
+Define your main page::
+
+ $ ln -sf ./data/maindemo1.xml ./main.xml
+
+.. _rundemo1_production:
+
+Build ouptuts
+~~~~~~~~~~~~~
+::
+ 
+ $ make html
+
+.. _rundemo1_see:
+
+Look to outputs
+~~~~~~~~~~~~~~~
+
+Choose your favorite browser supporting PHP files and 
+open :file:`/tmp/superbib/one/en/main.php`.
+
+.. _rundemo1_conclusion:
+
+Ok ?
+~~~~
+
+If something went wrong please send an email to 
+|contact|
+with output errors 
+
+<!-- ++ installation et check -->
+<!-- ++ autre demo Ã  partir d'un fichier bibtex ou autre -->
+<!-- ++ ++ comment partir de scratch -->
Index: /trunk/docs/docs_users/source/guides/get.rst
===================================================================
--- /trunk/docs/docs_users/source/guides/get.rst	(revision 140)
+++ /trunk/docs/docs_users/source/guides/get.rst	(revision 140)
@@ -0,0 +1,102 @@
+.. DESCRIPTION
+.. ===========
+.. 
+.. 
+.. SEE ALSO
+.. ========
+.. 
+.. EVOLUTIONS
+.. ==========
+.. 
+.. $Id$
+.. 
+.. $URL$
+..
+.. - fplod 20120227
+..
+..   * migration to ReST
+..   * move in user documentation
+..
+.. - fplod 20100428T103121Z aedon.locean-ipsl.upmc.fr (Darwin)
+.. 
+..   * form article to chapter
+
+.. _get:
+
+=============
+Get |project|
+=============
+
+.. _create_env:
+
+Create |project| environment
+============================
+
+To simplify the explanation, we suppose that we install |project| in your 
+:file:`${HOME}/SUPERBIB/` :
+
+.. code-block:: sh
+
+   $ cd ${HOME}
+   $ mkdir SUPERBIB/
+
+.. _get_files
+
+Get |project| files
+===================
+
+.. _local:
+
+If you work on LOCEAN systems
++++++++++++++++++++++++++++++
+
+The latest operational release |project| is already installed at
+
+ - LOCEAN: :file:`/usr/home/fplod/SUPERBIB/`
+
+If you can access to this directory, there is no need to re-install |project| 
+again! 
+
+In that case, you only have to link :file:`${HOME}/SUPERBIB/` to the 
+appropriate directory:
+  LOCEAN
+
+  .. code-block:: sh
+
+     $ ln -s /usr/home/fplod/SUPERBIB ${HOME}/SUPERBIB
+
+.. _svn:
+
+If Subversion (:samp:`svn`) client is installed on your machine
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. _svn_users:
+
+Regular users
+~~~~~~~~~~~~~
+
+The **complete** latest revision
+can be checked out with the following command executed in your 
+:envvar:`${HOME}` :
+
+.. code-block:: sh
+
+   $ svn checkout http://forge.ipsl.jussieu.fr/superbib/svn/trunk/ SUPERBIB
+
+.. _svn_contributors:
+
+Contributors
+~~~~~~~~~~~~
+
+**Contributors** should better use the following command (and replace login by their own login) :
+
+.. code-block:: sh
+
+   $ svn checkout svn+ssh://login@forge.ipsl.jussieu.fr/ipsl/forge/projets/superbib/svn/trunk/ SUPERBIB
+
+.. _afterget:
+
+After this
+==========
+
+You are now ready to do your :ref:`firststeps`.
Index: /trunk/docs/docs_users/source/guides/index.rst
===================================================================
--- /trunk/docs/docs_users/source/guides/index.rst	(revision 140)
+++ /trunk/docs/docs_users/source/guides/index.rst	(revision 140)
@@ -0,0 +1,32 @@
+.. +
+..
+.. TODO
+.. ====
+..
+.. revoir le plan
+..
+.. EVOLUTIONS
+.. ==========
+..
+.. $Id$
+..
+.. $URL$
+..
+.. - fplod 20120227
+..
+..   * creation
+..
+.. -
+
+.. _guides:
+
+=====================
+|project| user guides
+=====================
+
+.. toctree::
+   :maxdepth: 1
+   :glob:
+
+   get
+   firststeps
Index: unk/docs/docs_users/source/index.rst
===================================================================
--- /trunk/docs/docs_users/source/index.rst	(revision 139)
+++ 	(revision )
@@ -1,22 +1,0 @@
-.. SUPERBIB documentation master file, created by
-   sphinx-quickstart on Fri Feb 24 18:26:59 2012.
-   You can adapt this file completely to your liking, but it should at least
-   contain the root `toctree` directive.
-
-Welcome to SUPERBIB's documentation!
-====================================
-
-Contents:
-
-.. toctree::
-   :maxdepth: 2
-
-
-
-Indices and tables
-==================
-
-* :ref:`genindex`
-* :ref:`modindex`
-* :ref:`search`
-
Index: /trunk/docs/docs_users/source/overview.rst
===================================================================
--- /trunk/docs/docs_users/source/overview.rst	(revision 139)
+++ /trunk/docs/docs_users/source/overview.rst	(revision 140)
@@ -24,7 +24,11 @@
 .. -
 
+.. _overview:
+
+===================
 What is |project| ?
+===================
 
-|project| is dedicated to bibliography and users of a project &hellip; 
+|project| is dedicated to bibliography and users of a project.
 
 Imagine you want to know how many publications have been written using your tools or your results : |project| is for you !
@@ -32,4 +36,5 @@
 Using a XML/DocBook bibliography file, you will be able to produce
 HTML and PHP files to see :
+
  * All publications,
  * publications sorted by years with a graph,
@@ -39,6 +44,6 @@
  * forms to help authors to update the bibliography.
 
-As <link xl:href="http://www.docbook.org/tdg5/en/html/">XML/DocBook</link>
-bibliography is not very popular, |project| allows you to convert flat bibliography information (using copy/paste on an existing website for example) or <literal>bibtex</literal> into this format.
+As unfortunately |xmldbk|
+bibliography is not very popular, |project| allows you to convert flat bibliography information (using copy/paste on an existing website for example) or :samp:`bibtex` into this format.
 
 No database is involved in the process. HTML and PHP files just have to be 
Index: /trunk/docs/docs_users/source/prolog.rst
===================================================================
--- /trunk/docs/docs_users/source/prolog.rst	(revision 140)
+++ /trunk/docs/docs_users/source/prolog.rst	(revision 140)
@@ -0,0 +1,39 @@
+.. +
+..
+.. DESCRIPTION
+.. ===========
+..
+.. definition of links and associated text
+..
+.. SEE ALSO
+.. ========
+..
+.. :ref:`conf.py`
+..
+.. TODO
+.. ====
+..
+.. understand with projetc defined in conf.py is not known everywhere (so 
+.. useless in this file
+..
+.. EVOLUTIONS
+.. ==========
+..
+.. $Id$
+..
+.. $URL$
+..
+.. - fplod 20120227
+..
+..   * creation
+..
+.. -
+
+.. |project| replace:: SUPERBIB
+
+.. |project_svn| replace:: superbib
+
+.. |contact| replace:: Francoise.Pinsard_at_locean-ipsl.upmc.fr
+
+.. |xmldbk| replace:: XML/DocBook
+.. _xmldbk: http://www.docbook.org/tdg5/en/html/