Index: /branches/bibliolocean/data/biblioref.bib
===================================================================
--- /branches/bibliolocean/data/biblioref.bib	(revision 247)
+++ /branches/bibliolocean/data/biblioref.bib	(revision 248)
@@ -3,4 +3,38 @@
 
 @PREAMBLE{"Bibliographie du LOCEAN"}
+
+@inproceedings{MeynadierDecoetlogon:hal-00723384,
+url = {http://hal.archives-ouvertes.fr/hal-00723384},
+title = {{Impact of the air-sea coupling in the Gulf of Guinea on the Guinean coastal water cycle in boreal spring}},
+author = {{R}émi {M}eynadier and {G}aëlle {{d}e {C}oëtlogon} and {L}aurence {E}ymard {M}arion {L}educ-{L}eballeur and {S}ophie {B}astin and {S}erge {J}anicot and Olivier Bock and Cyrille Flamant},
+language = {Anglais},
+affiliation = {Institut Pierre-Simon-Laplace - IPSL , Laboratoire Atmosph{\`e}res, Milieux, Observations Spatiales - LATMOS , Universit{\'e} Paris 6, Pierre et Marie Curie - UPMC , Laboratoire d'Oc{\'e}anographie et du Climat : Exp{\'e}rimentations et Approches Num{\'e}riques - LOCEAN , Laboratoire de Recherche en G{\'e}od{\'e}sie, IGN - LAREG},
+booktitle = {{4th {AMMA} International Conference}},
+address = {Toulouse, France},
+year = {2012},
+month = jun,
+  loceanaffectation = {ird, upmc, cnrs},
+  loceanbibid = {01732},
+  aeresteam = {varclim},
+  loceanteam = {varclim},
+timestamp={20120810},
+}
+
+@inproceedings{DecoetlogonLeducleballeurEtAl:AMMA:2012,
+author = {{M}arion {L}educ-{L}eballeur and {G}aëlle {{d}e {C}oëtlogon} and {R}émi {M}eynadier and {S}ophie {B}astin  and {L}aurence {E}ymard and {S}erge {J}anicot  and {A}lban {L}azar and Moussa Diakhaté},
+url = {http://hal.archives-ouvertes.fr/hal-00723388},
+title = {Air-sea interaction in the Gulf of Guinea at intraseasonal timescales : A quasi-biweekly oscillation in the eastern equatorial Atlantic},
+language = {Anglais},
+affiliation = {Institut Pierre-Simon-Laplace - IPSL , Laboratoire Atmosph{\`e}res, Milieux, Observations Spatiales - LATMOS , Universit{\'e} Paris 6, Pierre et Marie Curie - UPMC , Laboratoire d'Oc{\'e}anographie et du Climat : Exp{\'e}rimentations et Approches Num{\'e}riques - LOCEAN},
+booktitle = {4th {AMMA} International Conference},
+address = {Toulouse, France},
+year = {2012},
+month = jun,
+  loceanaffectation = {ird, upmc, cnrs},
+  loceanbibid = {01731},
+  aeresteam = {varclim},
+  loceanteam = {varclim},
+timestamp={20120810},
+}
 
 @article{DegallierMazurEtAl:Z:2012b,
@@ -212,8 +246,8 @@
 author = {{P}ierre {T}estor},
 title = {TARA, le bateau scientifique en escale à Papeete},
-year = {2011}, 
+year = {2011},
 aerestype={PV},
 aeresteam = {phybiocar},
-loceanaffectation = {cnrs}, 
+loceanaffectation = {cnrs},
 loceanbibid = {01695},
 loceanteam = {phybiocar},
@@ -230,5 +264,5 @@
 date={oct 2011},
 aeresteam = {phybiocar},
-loceanaffectation = {cnrs}, 
+loceanaffectation = {cnrs},
 loceanbibid = {01696},
 loceanteam = {phybiocar},
@@ -272,5 +306,5 @@
 date={23 25 August 2010},
 aeresteam = {phybiocar},
-loceanaffectation = {cnrs}, 
+loceanaffectation = {cnrs},
 loceanbibid = {01699},
 loceanteam = {phybiocar},
@@ -280,6 +314,6 @@
 @conference{Levy:TW:2010,
 author = {{M}arina {L}évy},
-booktitle={Meeting "Towards High-Resolution of Ocean Dynamics and Terrestrial Surface Waters from Space "}, 
-year = {2010}, 
+booktitle={Meeting "Towards High-Resolution of Ocean Dynamics and Terrestrial Surface Waters from Space "},
+year = {2010},
 aerestype={C-INV},
 address = {Lisbon},
@@ -294,5 +328,5 @@
 @conference{Levy:GDF:2010,
 author = {{M}arina {L}évy},
-booktitle={GFD summer school on "Swirling and swimming in turbulence"}, 
+booktitle={GFD summer school on "Swirling and swimming in turbulence"},
 year = {2010},
 aerestype={C-INV},
@@ -384,5 +418,5 @@
 loceanteam = {phybiocar,caraus/snapo-co2},
 timestamp = {20120706},
-} 
+}
 
 @conference{Dovidio:AIMS:2010,
@@ -399,5 +433,5 @@
 loceanteam = {phybiocar},
 timestamp = {20120706},
-} 
+}
 
 @conference{Dovidio:COSPAR:2010,
@@ -413,5 +447,5 @@
 loceanteam = {phybiocar},
 timestamp = {20120706},
-} 
+}
 
 @conference{Dovidio:CCM:2011,
@@ -428,5 +462,5 @@
        loceanteam = {phybiocar},
        timestamp = {20120706},
-} 
+}
 
 @conference{Dovidio:IWNN:2012,
@@ -442,5 +476,5 @@
 loceanteam = {phybiocar},
 timestamp = {20120706},
-} 
+}
 
 @conference{Echevin:EOC:2011,
@@ -456,5 +490,5 @@
 loceanteam = {phybiocar},
 timestamp = {20120706},
-} 
+}
 
 @conference{Menkes::2011,
@@ -469,5 +503,5 @@
   loceanteam = {phybiocar},
   timestamp = {20120706},
-} 
+}
 
 @conference{Testor::2008a,
@@ -492,8 +526,8 @@
 aerestype={C-INV},
 aeresteam = {phybiocar},
-loceanaffectation = {cnrs}, 
+loceanaffectation = {cnrs},
 loceanbibid = {01715},
 loceanteam = {phybiocar},
-timestamp = {20120706}, 
+timestamp = {20120706},
 }
 @conference{Testor::2010,
@@ -530,5 +564,5 @@
 title={curso de entrenamiento Preparacion, Uso y procesamiento de informacion de vehiculos autonomos (gliders)},
 address={IMARPE, Lima, Peru},
-date={Avr 2010}, 
+date={Avr 2010},
 year={2010},
 aerestype={C-INV},
@@ -547,5 +581,5 @@
 aerestype={C-INV},
 aeresteam = {phybiocar},
-loceanaffectation = {cnrs}, 
+loceanaffectation = {cnrs},
 loceanbibid = {01719},
 loceanteam = {phybiocar},
@@ -574,5 +608,5 @@
 aerestype={C-INV},
 aeresteam = {phybiocar},
-loceanaffectation = {cnrs}, 
+loceanaffectation = {cnrs},
 loceanbibid = {01721},
 loceanteam = {phybiocar},
@@ -620,5 +654,5 @@
 loceanteam = {phybiocar},
 timestamp = {20120706},
-}       
+}
 @conference{Mortier:FCO:2011,
 author={{L}aurent {M}ortier},
@@ -634,5 +668,5 @@
 loceanteam = {phybiocar},
 timestamp = {20120706},
-}       
+}
 
 @Conference{PoloLazarEtAl:OSTST:2007,
@@ -13617,5 +13651,5 @@
 
 @UNPUBLISHED{BockGuichardEtAl:QJRMS:2009inrevision,
-  author = {{O}livier {B}ock and {F}. {G}uichard and {R}. {M}eynadier and {J}.-{P}. {L}afore and {S}erge {J}anicot},
+  author = {{O}livier {B}ock and {F}. {G}uichard and {R}émi {M}eynadier and {J}.-{P}. {L}afore and {S}erge {J}anicot},
   title = {{D}iurnal cycle of water vapour over {W}est {A}frica and its link with convection and precipitation},
   year = {2009},
@@ -18318,5 +18352,5 @@
 
 @ARTICLE{BockBouinEtAl:JGRDA:2008,
-  author = {{O}livier {B}ock and {M}.-{N}. {B}ouin and {E}. {D}oerflinger and {P}. {C}ollard and {F}. {M}asson and {R}. {M}eynadier and {S}. {N}ahmani and {M}. {K}oité and {K}. {G}aptia {L}awan {B}alawan and {F}. {D}idé and {D}. {O}uedraogo and {S}. {P}okperlaar and {J}.-{B}. {N}gamini and {J}. {P}. {L}afore and {S}erge {J}anicot and {F}. {G}uichard and {M}. {N}uret},
+  author = {{O}livier {B}ock and {M}.-{N}. {B}ouin and {E}. {D}oerflinger and {P}. {C}ollard and {F}. {M}asson and {R}émy {M}eynadier and {S}. {N}ahmani and {M}. {K}oité and {K}. {G}aptia {L}awan {B}alawan and {F}. {D}idé and {D}. {O}uedraogo and {S}. {P}okperlaar and {J}.-{B}. {N}gamini and {J}. {P}. {L}afore and {S}erge {J}anicot and {F}. {G}uichard and {M}. {N}uret},
   title = {{W}est {A}frican {M}onsoon observed with ground-based {GPS} receivers during {A}frican {M}onsoon {M}ultidisciplinary {A}nalysis ({AMMA})},
   journal = {{J}ournal of {G}eophysical {R}esearch {D}: {A}tmospheres},