Index: /branches/bibliolocean/data/biblioref.bib
===================================================================
--- /branches/bibliolocean/data/biblioref.bib	(revision 261)
+++ /branches/bibliolocean/data/biblioref.bib	(revision 262)
@@ -14,5 +14,5 @@
 abstract = {{RATIONALE}: In ecological studies of wildlife movements and foraging, bio-logging and isotopic data are routinely collected and increasingly analyzed in tandem. Such analyses have two shortcomings: (1) small sample size linked with the number of telemetric tags that can be deployed, and (2) the observational nature of isotopic gradients. Wildlife ecologists are thus put in a statistical conundrum known as the small n, large p problem. METHODS: Using shrinkage regression, which directly addresses the issue of accurately estimating effects from sparse data, we studied what counts as a biologically meaningful isotopic difference (a prerequisite to delineate isoscapes) in the southern elephant seal (Mirounga leonina), a large and elusive marine predator. RESULTS: Seals foraging in Antarctic waters had a lower carbon isotopic value (by 2\%) than seals foraging either in the interfrontal zone or on the Kerguelen Plateau. The latter two foraging strategies were indistinguishable on the sole basis of d13C values with our data. CONCLUSIONS: Shrinkage regression is a conservative statistical technique that has wide applicability in isotopic ecology to help separate robust biological signals from noise},
 language = {Anglais},
-affiliation = {Centre d'{\'e}tudes biologiques de Chiz{\'e} - CEBC , Centre d'{\'e}cologie fonctionnelle et {\'e}volutive - CEFE , LOCEAN-UPMC},
+affiliation = {Centre d'études biologiques de Chizé - CEBC , Centre d'écologie fonctionnelle et évolutive - CEFE , LOCEAN-UPMC},
 pages = {2657-2664},
 journal = {Rapid Communications in Mass Spectrometry},
@@ -352,5 +352,5 @@
 hal_id = {insu-00730933},
 url = {http://hal-insu.archives-ouvertes.fr/insu-00730933},
-title = {Late Holocene paleoenvironmental changes in Northeast Brazil recorded by organic matter in lacustrine sediments of Lake Boqueir{\\~a}o},
+title = {Late Holocene paleoenvironmental changes in Northeast Brazil recorded by organic matter in lacustrine sediments of Lake Boqueirão},
 loceanbibid = {01733},
 loceanaffectation = {ird},
@@ -359,8 +359,8 @@
 timestamp = {20120912},
 author = {Renata Zocatelli and {B}runo {T}urcq and Mohammed Boussafir and R.C. Cordeiro and Jean-Robert Disnar and R.L. Costa and {A}bdelfettah {S}ifeddine and Ana Luiza Spadano Albuquerque and M.C. Bernardes and and Jérémy Jacob},
-abstract = {Northeast Brazil represents a key area in terms of Holocene environmental changes in South America due to its distinct semi-arid climate at near equatorial latitudes as well as to a wetter Early and Middle Holocene paleoclimate in comparison with other South America regions, which also experienced a reduced monsoon at that time. We studied the lacustrine sediments of Lake Boqueir{\\~a}o, which is located at 5\degreS latitude on the Brazilian Atlantic coast; it is directly influenced by displacement of the Intertropical Convergence Zone (ITCZ). A short (1 m) core "Boqc0701" was collected at a 7.5 m water depth during a seismic survey. Organic matter (OM) geochemical [Rock Eval Total Organic Carbon (TOC), Hydrogen Index (HI), Oxygen Index (OI)] and petrographical studies allowed us to distinguish five sedimentary intervals during the last 3 kyrs. Phase E (3000 to 2050 cal yr BP) presents the largest TOC, HI and OI fluctuations in the entire core. The most probable cause of these variations is a great instability in the lake level during this period. Phase D (2050 to 1830 cal yr BP) is marked by an increase in sedimentation rate and a higher contribution from a well-preserved OM with an algal origin; this was interpreted as a higher and more stable lake level. During phase C (1830 to 1550 cal yrs BP), low HI and high OI indicate the input of more oxidized, degraded and detrital OM, reflecting a lower lake level. In phase B (1550 to 1470 cal yr BP), the OM quality and quantity (HI and TOC) indicate an algal contribution. During phase A (1470 to 570 cal yr BP), the high stability of the proxies may be due to a deep environment where OM fluctuations are strongly buffered. These changes in lake level can be compared with other tropical South America high resolution records. A correspondence seems to exist between phases of low ENSO, cool North Atlantic Ocean and Boqueir{\\~a}o wet phases. We did not encounter this same pattern during the last 1050 yaers, during which the 1050-570 cal yrs BP interval was generally wet (although probable fluctuations are buffered in our proxies) while the North Atlantic was warm (Mann et al., 2009). A prolonged dryness occurred in Lake Boqueir{\\~a}o from 570 cal yrs BP until recent decades. This phase corresponds to the Little Ice Age characterized by a cooler North Atlantic Ocean (Mann et al., 2009). These data indicate that the teleconnection pattern between the tropical Atlantic, ENSO and Northeast Brazil rainfalls has changed in the past.},
+abstract = {Northeast Brazil represents a key area in terms of Holocene environmental changes in South America due to its distinct semi-arid climate at near equatorial latitudes as well as to a wetter Early and Middle Holocene paleoclimate in comparison with other South America regions, which also experienced a reduced monsoon at that time. We studied the lacustrine sediments of Lake Boqueirão, which is located at 5\degreS latitude on the Brazilian Atlantic coast; it is directly influenced by displacement of the Intertropical Convergence Zone (ITCZ). A short (1 m) core "Boqc0701" was collected at a 7.5 m water depth during a seismic survey. Organic matter (OM) geochemical [Rock Eval Total Organic Carbon (TOC), Hydrogen Index (HI), Oxygen Index (OI)] and petrographical studies allowed us to distinguish five sedimentary intervals during the last 3 kyrs. Phase E (3000 to 2050 cal yr BP) presents the largest TOC, HI and OI fluctuations in the entire core. The most probable cause of these variations is a great instability in the lake level during this period. Phase D (2050 to 1830 cal yr BP) is marked by an increase in sedimentation rate and a higher contribution from a well-preserved OM with an algal origin; this was interpreted as a higher and more stable lake level. During phase C (1830 to 1550 cal yrs BP), low HI and high OI indicate the input of more oxidized, degraded and detrital OM, reflecting a lower lake level. In phase B (1550 to 1470 cal yr BP), the OM quality and quantity (HI and TOC) indicate an algal contribution. During phase A (1470 to 570 cal yr BP), the high stability of the proxies may be due to a deep environment where OM fluctuations are strongly buffered. These changes in lake level can be compared with other tropical South America high resolution records. A correspondence seems to exist between phases of low ENSO, cool North Atlantic Ocean and Boqueirão wet phases. We did not encounter this same pattern during the last 1050 yaers, during which the 1050-570 cal yrs BP interval was generally wet (although probable fluctuations are buffered in our proxies) while the North Atlantic was warm (Mann et al., 2009). A prolonged dryness occurred in Lake Boqueirão from 570 cal yrs BP until recent decades. This phase corresponds to the Little Ice Age characterized by a cooler North Atlantic Ocean (Mann et al., 2009). These data indicate that the teleconnection pattern between the tropical Atlantic, ENSO and Northeast Brazil rainfalls has changed in the past.},
 keywords = {Rock-Eval, organic petrography, macrophytes, algal, intertropical convergence.},
 language = {Anglais},
-affiliation = {Institut des Sciences de la Terre d'Orl{\'e}ans - ISTO , LMI "PALEOTRACES" , Laboratoire d'Oc{\'e}anographie et du Climat : Exp{\'e}rimentations et Approches Num{\'e}riques - LOCEAN , Departamento de Geoqu{\'\i}mica , Departamento de Geoquimica - DEPARTAMENTO DE GEOQUIMICA},
+affiliation = {Institut des Sciences de la Terre d'Orléans - ISTO , LMI "PALEOTRACES" , Laboratoire d'Océanographie et du Climat : Expérimentations et Approches Numériques - LOCEAN , Departamento de Geoquìmica , Departamento de Geoquimica - DEPARTAMENTO DE GEOQUIMICA},
 pages = {24 p.},
 journal = {Palaeogeography, Palaeoclimatology, Palaeoecology},
@@ -378,5 +378,5 @@
 author = {{R}émi {M}eynadier and {G}aëlle {{d}e {C}oëtlogon} and {L}aurence {E}ymard {M}arion {L}educ-{L}eballeur and {S}ophie {B}astin and {S}erge {J}anicot and Olivier Bock and Cyrille Flamant},
 language = {Anglais},
-affiliation = {Institut Pierre-Simon-Laplace - IPSL , Laboratoire Atmosph{\`e}res, Milieux, Observations Spatiales - LATMOS , Universit{\'e} Paris 6, Pierre et Marie Curie - UPMC , Laboratoire d'Oc{\'e}anographie et du Climat : Exp{\'e}rimentations et Approches Num{\'e}riques - LOCEAN , Laboratoire de Recherche en G{\'e}od{\'e}sie, IGN - LAREG},
+affiliation = {Institut Pierre-Simon-Laplace - IPSL , Laboratoire Atmosphères, Milieux, Observations Spatiales - LATMOS , Université Paris 6, Pierre et Marie Curie - UPMC , Laboratoire d'Océanographie et du Climat : Expérimentations et Approches Numériques - LOCEAN , Laboratoire de Recherche en Géodésie, IGN - LAREG},
 booktitle = {4th {AMMA} International Conference},
 address = {Toulouse, France},
@@ -395,5 +395,5 @@
 title = {Air-sea interaction in the Gulf of Guinea at intraseasonal timescales : A quasi-biweekly oscillation in the eastern equatorial Atlantic},
 language = {Anglais},
-affiliation = {Institut Pierre-Simon-Laplace - IPSL , Laboratoire Atmosph{\`e}res, Milieux, Observations Spatiales - LATMOS , Universit{\'e} Paris 6, Pierre et Marie Curie - UPMC , Laboratoire d'Oc{\'e}anographie et du Climat : Exp{\'e}rimentations et Approches Num{\'e}riques - LOCEAN},
+affiliation = {Institut Pierre-Simon-Laplace - IPSL , Laboratoire Atmosphères, Milieux, Observations Spatiales - LATMOS , Université Paris 6, Pierre et Marie Curie - UPMC , Laboratoire d'Océanographie et du Climat : Expérimentations et Approches Numériques - LOCEAN},
 booktitle = {4th {AMMA} International Conference},
 address = {Toulouse, France},