Index: /branches/bibliolocean/data/biblioref.bib
===================================================================
--- /branches/bibliolocean/data/biblioref.bib	(revision 344)
+++ /branches/bibliolocean/data/biblioref.bib	(revision 345)
@@ -3,4 +3,71 @@
 
 @PREAMBLE{"Bibliographie du LOCEAN"}
+
+
+@article{GuinetXingEtAl:ESSD:2013,
+  loceanbibid = {01982},
+  loceanaffectation = {cnrs},
+  loceanteam = {phybiocar},
+  timestamp = {20130916},
+    hal_id = {hal-00862113},
+    url = {http://hal.archives-ouvertes.fr/hal-00862113},
+    title = {{Calibration procedures and first dataset of Southern Ocean chlorophyll a profiles collected by elephant seals equipped with a newly developed CTD-fluorescence tags}},
+    author = {Guinet, C. and Xing, X. and Walker, E. and Monestiez, P. and Marchand, S. and Picard, B. and Jaud, T. and Authier, M. and Cott{\'e}, C{\'e}dric and Dragon, A. C. and Diamond, E. and Antoine, D. and Lovell, P. and Blain, S. and D'Ortenzio, F. and Claustre, H.},
+    abstract = {{In situ observation of the marine environment has traditionally relied on ship-based platforms. The obvious consequence is that physical and biogeochemical properties have been dramatically undersampled, especially in the remote Southern Ocean (SO). The difficulty in obtaining in situ data represents the major limitations to our understanding, and interpretation of the coupling between physical forcing and the biogeochemical response. Southern elephant seals (Mirounga leonina) equipped with a new generation of oceanographic sensors can measure ocean structure in regions and seasons rarely observed with traditional oceanographic platforms. Over the last few years, seals have allowed for a considerable increase in temperature and salinity profiles from the SO, but we were still lacking information on the spatiotemporal variation of phytoplankton concentration. This information is critical to assess how the biological productivity of the SO, with direct consequences on the amount of CO2 "fixed'' by the biological pump, will respond to global warming. In this research programme, we use an innovative sampling fluorescence approach to quantify phytoplankton concentration at sea. For the first time, a low energy consumption fluorometer was added to Argos CTD-SRDL tags, and these novel instruments were deployed on 27 southern elephant seals between 25 December 2007 and the 4 February 2011. As many as 3388 fluorescence profiles associated with temperature and salinity measurements were thereby collected from a vast sector of the Southern Indian Ocean. This paper addresses the calibration issue of the fluorometer before being deployed on elephant seals and presents the first results obtained for the Indian sector of the Southern Ocean. This in situ system is implemented in synergy with satellite ocean colour radiometry. Satellite-derived data is limited to the surface layer and is restricted over the SO by extensive cloud cover. However, with the addition of these new tags, we are able to assess the 3-dimension distribution of phytoplankton concentration by foraging southern elephant seals. This approach reveals that for the Indian sector of the SO, the surface chlorophyll a (chl a) concentrations provided by MODIS were underestimated by a factor 2 compared to chl a concentrations estimated from HPLC corrected in situ fluorescence measurements. The scientific outcomes of this programme include an improved understanding of both the present state and variability in ocean biology, and the accompanying biogeochemistry, as well as the delivery of real-time and open-access data to scientists (doi:10.7491/MEMO.1).}},
+    language = {Anglais},
+    affiliation = {Centre d'{\'e}tudes biologiques de Chiz{\'e} - CEBC , Laboratoire d'Oc{\'e}anographie de Villefranche , Ocean University of China , Unit{\'e} Biostatistique et Processus Spatiaux - INRA , Biostatistique et Processus Spatiaux - BIOSP , Laboratoire d'Oc{\'e}anographie et du Climat : Exp{\'e}rimentations et Approches Num{\'e}riques - LOCEAN , Department of Microbiology EA 3882 Biodiversity and Microbial Ecology , Institut de Recherches sur les lois Fondamentales de l'Univers (ex DAPNIA) - IRFU , Natural Environment Research Council Sea Mammal Research Unit , Laboratoire d'Oc{\'e}anographie Microbienne - LOMIC , Laboratoire d'oc{\'e}anographie de Villefranche - LOV},
+    pages = {15-29},
+    journal = {Earth System Science Data},
+    volume = {5},
+    audience = {internationale},
+    doi = {10.5194/ESSD-5-15-2013},
+    year = {2013},
+    month = feb,
+ads={2013ESSD....5...15G},
+}
+
+@article{NordstromBattaileEtAl:DSR:2013,
+  loceanbibid = {01981},
+  loceanaffectation = {cnrs},
+  loceanteam = {phybiocar},
+  timestamp = {20130916},
+    hal_id = {hal-00799481},
+    url = {http://hal.archives-ouvertes.fr/hal-00799481},
+    title = {{Foraging habitats of lactating northern fur seals are structured by thermocline depths and submesoscale fronts in the eastern Bering Sea}},
+    author = {Nordstrom, Chad A. and Battaile, Brian C. and Cotté, Cédric and Trites, Andrew W.},
+    keywords = {Habitat selection ; First-passage time; Submesoscale features ; Finite-size Lyapunov exponent ; Cox proportional hazard model ; USA ; Alaska ; Eastern Bering Sea},
+    language = {Anglais},
+    affiliation = {Marine Mammal Research Unit - University of British Columbia , Department of Zoology , Centre d'{\'e}tudes biologiques de Chiz{\'e} - CEBC , Laboratoire d'Oc{\'e}anographie et du Climat},
+ volume={88-89},
+    pages = {78-96},
+    journal = {Deep Sea Research Part II: Topical Studies in Oceanography},
+    audience = {internationale},
+    doi = {10.1016/j.dsr2.2012.07.010},
+    year = {2013},
+    ads={2013DSR....88...78N},
+}
+
+@article{CavagnaDehairsEtAl:B:2013,
+  loceanbibid = {01980},
+  loceanaffectation = {cnrs},
+  loceanteam = {paleoproxus},
+  timestamp = {20130916},
+    hal_id = {hal-00861863},
+    url = {http://hal.univ-brest.fr/hal-00861863},
+    title = {{Water column distribution and carbon isotopic signal of cholesterol, brassicasterol and particulate organic carbon in the Atlantic sector of the Southern Ocean}},
+    author = {Cavagna, A.J. and Dehairs, F. and Bouillon, S. and Woule-Ebongué, V. and Planchon, F. and Delille, B. and Bouloubassi, Ioanna},
+    abstract = {{The combination of concentrations and $\delta$13C signatures of Particulate Organic Carbon (POC) and sterols provides a powerful approach to study ecological and environmental changes in both the modern and ancient ocean. We applied this tool to study the biogeochemical changes in the modern ocean water column during the BONUS-GoodHope survey (February-March 2008) from Cape Basin to the northern part of the Weddell Gyre. Cholesterol and brassicasterol were chosen as ideal biomarkers of the heterotrophic and autotrophic carbon pools, respectively, because of their ubiquitous and relatively refractory nature.}},
+    language = {Anglais},
+    affiliation = {Analytical and Environmental Chemistry \& Earth System Sciences , Department of Earth and Environmental Sciences , Department of Geology and Mineralogy , Laboratoire des Sciences de l'Environnement Marin - LEMAR , Departement d'Astrophysique g{\'e}ophysique et oc{\'e}anographie , Laboratoire d'Oc{\'e}anographie et du Climat : Exp{\'e}rimentations et Approches Num{\'e}riques - LOCEAN},
+    pages = {2787-2801},
+    journal = {Biogeosciences},
+    volume = {10},
+    audience = {internationale},
+    collaboration = {BONUS-GoodHope},
+    doi = {10.5194/bg-10-2787-2013},
+    year = {2013},
+    month = apr,
+    pdf = {http://hal.univ-brest.fr/hal-00861863/PDF/bg-cavagna-2013.pdf},
+}
 
 @unpublished{RacapeMetzlEtAl:B:2013submitted,
@@ -3510,5 +3577,5 @@
 }
 
-@INPROCEEDINGS{MeynadierDecoetlogonEtAl:EGU:2012a,
+@INPROCEEDINGS{MeynadierDecoetlogonEtAl:AMMA:2012,
   author = {Meynadier, Rémi and de Coëtlogon, Gaëlle and Eymard, Laurence and Leduc-Leballeur, Marion and Bastin, Sophie and Janicot, Serge and Bock, Olivier and Flamant, Cyrille},
   title = {{I}mpact of the air-sea coupling in the {G}ulf of {G}uinea on the {G}uinean coastal water cycle in boreal spring},
@@ -29747,5 +29814,5 @@
 
 @ARTICLE{FavierDegallier:TMIH:2006,
-  author = {Favier, Charly and Dégallier, Nicolas and De Tarso Ribeiro Vilarinhos, Paulo and Carvalho, Maria Do Socorro Laurentino De and Yoshizawa, Maria Amelia Cavalcanti and Knox, Monique Britto},
+  author = {Favier, Charly and Dégallier, Nicolas and De Tarso Ribeiro Vilarinhos, Paulo and Carvalho Do Socorro Laurentino De, Maria and Yoshizawa Cavalcanti, Maria Amelia and Knox, Monique Britto},
   title = {{Effects of climate and different management strategies on {A}edes aegypti breeding sites: a longitudinal survey in {B}rasilia (DF, {B}razil)}},
   journal = {{T}ropical {M}edicine \& {I}nternational {H}ealth},
@@ -29761,5 +29828,6 @@
   language = {{A}nglais},
   loceanbibid = {01827},
-  timestamp = {20121014}
+  timestamp = {20121014},
+  comment = {20130916 : embrouille prenom nom},
 }
 