Index: trunk/install_superbib.sh
===================================================================
--- trunk/install_superbib.sh	(revision 325)
+++ trunk/install_superbib.sh	(revision 352)
@@ -26,5 +26,8 @@
 #
 # .. option:: -lf  <login on forge.ipsl.jussieu.fr>
-# .. option:: -d   <directory where executable, input and output will be written>
+#
+# .. option:: -d   <directory>
+#
+#    where executable, input and output will be written
 #
 # On the first usage of this tool, :file:`${tempdir}/for_install_superbib/`
@@ -85,10 +88,10 @@
 system=$(uname)
 case "${system}" in
-   AIX|IRIX64)
-      echo "${command} : www : no specific posix checking"
-   ;;
-   *)
-      set -o posix
-   ;;
+    AIX|IRIX64)
+        echo "${command} : www : no specific posix checking"
+    ;;
+    *)
+        set -o posix
+    ;;
 esac
 unset system
@@ -101,6 +104,6 @@
 if [ "${PROJECT_LOG}" = "" ]
 then
-   echo "${command} : eee : \${PROJECT_LOG} not defined"
-   exit 1
+    echo "${command} : eee : \${PROJECT_LOG} not defined"
+    exit 1
 fi
 #
@@ -108,6 +111,6 @@
 if [ ! -d ${PROJECT_LOG} ]
 then
-   echo "${command} : eee : ${PROJECT_LOG} not found"
-   exit 1
+    echo "${command} : eee : ${PROJECT_LOG} not found"
+    exit 1
 fi
 #
@@ -115,6 +118,6 @@
 if [ ! -x ${PROJECT_LOG} ]
 then
-   echo "${command} : eee : ${PROJECT_LOG} not reachable"
-   exit 1
+    echo "${command} : eee : ${PROJECT_LOG} not reachable"
+    exit 1
 fi
 #
@@ -122,6 +125,6 @@
 if [ ! -w ${PROJECT_LOG} ]
 then
-   echo "${command} : eee : ${PROJECT_LOG} not writable"
-   exit 1
+    echo "${command} : eee : ${PROJECT_LOG} not writable"
+    exit 1
 fi
 #
@@ -138,7 +141,7 @@
 if [ ${#} -lt ${minargcount} ]
 then
-   echo "${command} : eee : not enought arguments"
-   echo "${usage}"
-   exit 1
+    echo "${command} : eee : not enough arguments"
+    echo "${usage}"
+    exit 1
 fi
 unset minargcount
@@ -146,26 +149,26 @@
 while [ ${#} -gt 0 ]
 do
-   case ${1} in
-      -lf)
-         loginforgeipsl=${2}
-         shift
-      ;;
-      -h)
-         hostname=${2}
-         shift
-      ;;
-      -d)
-         directory=${2}
-         shift
-      ;;
-      *)
-         # anything else
-         echo "${command} : eee : unknown option ${1}"
-         echo "${command} : eee : ${usage}"
-         exit 1
-      ;;
-   esac
-   # next flag
-   shift
+    case ${1} in
+        -lf)
+            loginforgeipsl=${2}
+            shift
+        ;;
+        -h)
+            hostname=${2}
+            shift
+        ;;
+        -d)
+            directory=${2}
+            shift
+        ;;
+        *)
+            # anything else
+            echo "${command} : eee : unknown option ${1}"
+            echo "${command} : eee : ${usage}"
+            exit 1
+        ;;
+    esac
+    # next flag
+    shift
 done
 #
@@ -187,9 +190,9 @@
 if [ ${svn_forge} -eq 1 ]
 then
-   if [ "${loginforgeipsl}" = "" ]
-   then
-      echo "${command} : eee: loginforgeipsl must be defined"
-      exit 1
-   fi
+    if [ "${loginforgeipsl}" = "" ]
+    then
+        echo "${command} : eee: loginforgeipsl must be defined"
+        exit 1
+    fi
 fi
 #
@@ -199,15 +202,15 @@
 domain=$(nslookup $(hostname) | grep Name: | cut -f 2 | cut -f 2- -d '.')
 case ${domain} in
-   locean-ipsl.upmc.fr)
-      tempdir=/usr/temp/${LOGNAME}/
-      local_svncfd=1
-   ;;
-   idris.fr)
-      tempdir=${WORKDIR}/
-      local_svncfd=0
-   ;;
+    locean-ipsl.upmc.fr)
+        tempdir=/usr/temp/${LOGNAME}/
+        local_svncfd=1
+    ;;
+    idris.fr)
+        tempdir=${WORKDIR}/
+        local_svncfd=0
+    ;;
    *)
-      tempdir=/tmp/${LOGNAME}/
-      local_svncfd=1
+       tempdir=/tmp/${LOGNAME}/
+       local_svncfd=1
    ;;
 esac
@@ -219,40 +222,40 @@
 if [ -d ${tempdir}/for_install_superbib/ ]
 then
-   # If ${tempdir}/for_install_superbib/ exists, we suppose it already
-   # contains files.
-   if [ ${svn_forge} -eq 1 ]
-   then
-      # We ask for update this working space
-      echo "${command} : iii : ${tempdir}/for_install_superbib/ already exists" 1>> ${log} 2>&1
-      echo "iii : You will be asked ${loginforgeipsl}@forge.ipsl.jussieu.fr passwd"
-      svn update ${tempdir}/for_install_superbib/
-      svn_status=${?}
-      if [ ${svn_status} -ne 0 ]
-      then
-         echo "${command} : eee : pb with svn update forge" 1>> ${log} 2>&1
-         echo "${command} : iii : log is ${log}"
-         exit 1
-      fi
-   else
-      echo "${command} : iii : no svn forge update is asked" 1>> ${log} 2>&1
-   fi
+    # If ${tempdir}/for_install_superbib/ exists, we suppose it already
+    # contains files.
+    if [ ${svn_forge} -eq 1 ]
+    then
+        # We ask for update this working space
+        echo "${command} : iii : ${tempdir}/for_install_superbib/ already exists" 1>> ${log} 2>&1
+        echo "iii : You will be asked ${loginforgeipsl}@forge.ipsl.jussieu.fr passwd"
+        svn update ${tempdir}/for_install_superbib/
+        svn_status=${?}
+        if [ ${svn_status} -ne 0 ]
+        then
+            echo "${command} : eee : pb with svn update forge" 1>> ${log} 2>&1
+            echo "${command} : iii : log is ${log}"
+            exit 1
+        fi
+    else
+        echo "${command} : iii : no svn forge update is asked" 1>> ${log} 2>&1
+    fi
 else
-   mkdir -p ${tempdir}/for_install_superbib/
-   if [ ${svn_forge} -eq 1 ]
-   then
-      # If ${tempdir}/for_install_superbib/ does not exist, we checkout
-      # files
-      echo "iii : You will be asked ${loginforgeipsl}@forge.ipsl.jussieu.fr passwd"
-      svn checkout svn+ssh://${loginforgeipsl}@forge.ipsl.jussieu.fr/ipsl/forge/projets/${project}/svn/trunk/ ${tempdir}/for_install_superbib/ 1>> ${log} 2>&1
-      svn_status=${?}
-      if [ ${svn_status} -ne 0 ]
-      then
-        echo "${command} : eee : pb with svn forge" 1>> ${log} 2>&1
-        echo "${command} : iii : log is ${log}"
-        exit 1
-      fi
-   else
-      echo "${command} : iii : no svn forge checkout is asked" 1>> ${log} 2>&1
-   fi
+    mkdir -p ${tempdir}/for_install_superbib/
+    if [ ${svn_forge} -eq 1 ]
+    then
+        # If ${tempdir}/for_install_superbib/ does not exist, we checkout
+        # files
+        echo "iii : You will be asked ${loginforgeipsl}@forge.ipsl.jussieu.fr passwd"
+        svn checkout svn+ssh://${loginforgeipsl}@forge.ipsl.jussieu.fr/ipsl/forge/projets/${project}/svn/trunk/ ${tempdir}/for_install_superbib/ 1>> ${log} 2>&1
+        svn_status=${?}
+        if [ ${svn_status} -ne 0 ]
+        then
+            echo "${command} : eee : pb with svn forge" 1>> ${log} 2>&1
+            echo "${command} : iii : log is ${log}"
+            exit 1
+        fi
+    else
+        echo "${command} : iii : no svn forge checkout is asked" 1>> ${log} 2>&1
+    fi
 fi
 #